Bug 828531 - remote-viewer.desktop does not validate
remote-viewer.desktop does not validate
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: virt-viewer (Show other bugs)
19
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 16:46 EDT by Christoph Wickert
Modified: 2013-12-16 14:17 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-16 14:17:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2012-06-04 16:46:08 EDT
Description of problem:
/usr/share/applications/remote-viewer.desktop is not a valid menu file:
1. It lacks categories so it shows up under "Other" in the menu. 
2. It does not validate (which should be done in the spec file according to our packaging guidelines):

$ desktop-file-validate /usr/share/applications/remote-viewer.desktop 
/usr/share/applications/remote-viewer.desktop: error: value "False" for boolean key "Terminal" in group "Desktop Entry" contains invalid characters, boolean values must be "false" or "true"
/usr/share/applications/remote-viewer.desktop: error: value "x-scheme-handler/spice" for string list key "MimeType" in group "Desktop Entry" does not have a semicolon (';') as trailing character

Version-Release number of selected component (if applicable):
virt-viewer-0.5.3-1.fc17

Additional info:
diff -u remote-viewer.desktop.orig remote-viewer.desktop
--- remote-viewer.desktop.orig	2012-05-16 14:30:01.000000000 +0200
+++ remote-viewer.desktop	2012-06-04 22:42:46.743509473 +0200
@@ -2,5 +2,6 @@
 Name=Remote Viewer
 Exec=remote-viewer %u
 Type=Application
-Terminal=False
-MimeType=x-scheme-handler/spice
+Terminal=false
+MimeType=x-scheme-handler/spice;
+Categories=System;GTK;
Comment 1 Cole Robinson 2012-12-14 16:59:20 EST
Thanks for the patch, was just gonna forward it upstream but someone got to it just last week:

commit 0f6b286e7a539e3ad3051e3b93ab588f226dd18c
Author: Doug Goldstein <cardoe@cardoe.com>
Date:   Tue Dec 4 16:23:03 2012 -0600

    Make .desktop file comply with spec
    
    The .desktop file did not comply with the Desktop Entry spec as checked
    with desktop-file-validate. Boolean keys are defined as taking only
    'true' or 'false', the entry Terminal had False. MimeType is a string
    list and therefore must be terminated with a ;

Since this is fairly minor (AIUI there isn't much functional impact), closing as UPSTREAM.
Comment 2 Massimiliano 2013-09-02 08:58:17 EDT
This issue is still present in F18:

# cat /usr/share/applications/remote-viewer.desktop
[Desktop Entry]
Name=Remote Viewer
Exec=remote-viewer %u
Type=Application
Terminal=False
MimeType=x-scheme-handler/spice

# rpm -q virt-viewer
virt-viewer-0.5.4-3.fc18.x86_64
Comment 3 Cole Robinson 2013-12-16 14:17:50 EST
F18 is end-of-life soon, so this bug is unlikely to be fixed there. It should already be fixed in F19 though, so closing.

Note You need to log in before you can comment on or make changes to this bug.